<template>
  <message-bubble :isMine="isMine" :message="message">
    <template>
      <span class="text-box">[位置]</span>
    </template>
  </message-bubble>
</template>

<script>
import messageBubble from "@/components/timApp/message/message-bubble.vue";
import { decodeText } from "@/utils/decodeText";

export default {
  name: "TextElement",
  components: {
    messageBubble,
  },
  props: {
    payload: {
      type: Object,
      required: true,
    },
    message: {
      type: Object,
      required: true,
    },
    isMine: {
      type: Boolean,
    },
  },
  computed: {
    contentList() {
      return decodeText(this.payload);
    },
  },
};
</script>

<style lang="less" scoped>
.text-box {
  display: inline-block;
  width: 100%;
  overflow: hidden;
}
</style>
